org.modeshape.jcr

## Class ModeShapeLexicon

- java.lang.Object
- - org.modeshape.jcr.ModeShapeLexicon

-     @Immutable
      public class ModeShapeLexicon
      extends Object

  A lexicon of names used within ModeShape.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ModeShapeLexicon.Namespace`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Name` | `ACCESS_CONTROLLABLE` ACL related
    `static String` | `ACCESS_CONTROLLABLE_STRING`
    `static Name` | `ACCESS_LIST_NODE_NAME`
    `static Name` | `ACCESS_LIST_NODE_TYPE`
    `static String` | `ACCESS_LIST_NODE_TYPE_STRING`
    `static Name` | `ACL_COUNT`
    `static Name` | `COLUMN_TYPE_NAME`
    `static Name` | `DEPTH`
    `static Name` | `EXPIRATION_DATE`
    `static Name` | `EXTERNAL_NODE_KEY`
    `static Name` | `FEDERATION` Federation related items
    `static Name` | `GENERATED`
    `static Name` | `ID`
    `static Name` | `INDEX`
    `static Name` | `INDEX_COLUMN`
    `static Name` | `INDEX_PROVIDER`
    `static Name` | `INDEXES` Index-related items
    `static Name` | `IS_DEEP` Deprecated.
    `static Name` | `IS_HELD_BY_SESSION`
    `static Name` | `IS_SESSION_SCOPED`
    `static Name` | `KIND`
    `static Name` | `LOCALNAME`
    `static Name` | `LOCK`
    `static Name` | `LOCK_TOKEN`
    `static Name` | `LOCKED_KEY` Deprecated.
    `static Name` | `LOCKING_SESSION`
    `static Name` | `LOCKS`
    `static Name` | `NAMESPACE`
    `static Name` | `NAMESPACES`
    `static Name` | `NODE_TYPE_NAME`
    `static Name` | `NODE_TYPES`
    `static Name` | `PERMISSION`
    `static Name` | `PERMISSION_PRINCIPAL_NAME`
    `static Name` | `PERMISSION_PRIVILEGES_NAME`
    `static Name` | `PROJECTED_NODE_KEY`
    `static Name` | `PROJECTION`
    `static Name` | `PROJECTION_ALIAS`
    `static Name` | `PROPERTY_NAME`
    `static Name` | `REPOSITORY` The name of the node which is used for running 1-time operations
    `static Name` | `ROOT`
    `static Name` | `SESSION_SCOPE` Deprecated.
    `static Name` | `SHARE` The name of the "mode:share" node type, used as the primary type on nodes that are proxies for the original node.
    `static Name` | `SHARED_UUID` The REFERENCE property on the "mode:share" node type.
    `static Name` | `SYNCHRONOUS`
    `static Name` | `SYSTEM`
    `static Name` | `URI`
    `static Name` | `VERSION_HISTORY_FOLDER`
    `static Name` | `VERSION_STORAGE`
    `static Name` | `WORKSPACE`
    `static Name` | `WORKSPACES`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModeShapeLexicon()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NAMESPACES

          public static final Name NAMESPACES

    - #### ROOT

          public static final Name ROOT

    - #### URI

          public static final Name URI

    - #### GENERATED

          public static final Name GENERATED

    - #### NAMESPACE

          public static final Name NAMESPACE

    - #### NODE_TYPES

          public static final Name NODE_TYPES

    - #### SYSTEM

          public static final Name SYSTEM

    - #### VERSION_STORAGE

          public static final Name VERSION_STORAGE

    - #### VERSION_HISTORY_FOLDER

          public static final Name VERSION_HISTORY_FOLDER

    - #### WORKSPACE

          public static final Name WORKSPACE

    - #### EXPIRATION_DATE

          public static final Name EXPIRATION_DATE

    - #### IS_HELD_BY_SESSION

          public static final Name IS_HELD_BY_SESSION

    - #### IS_SESSION_SCOPED

          public static final Name IS_SESSION_SCOPED

    - #### LOCK

          public static final Name LOCK

    - #### LOCK_TOKEN

          public static final Name LOCK_TOKEN

    - #### LOCKING_SESSION

          public static final Name LOCKING_SESSION

    - #### LOCKS

          public static final Name LOCKS

    - #### SHARE

          public static final Name SHARE

      The name of the "mode:share" node type, used as the primary type on nodes that are proxies for the original node. The "mode:share" node type defines a single "`mode:shared`" REFERENCE property pointing to the original node.

      With the way that ModeShape's JCR layer is implemented, JCR clients should never see `Node`s of this type. Instead, the JCR layer transparently creates a JcrSharedNode that will mirror the original.

    - #### SHARED_UUID

          public static final Name SHARED_UUID

      The REFERENCE property on the "mode:share" node type. This property references the original node for which this node is a proxy.

    - #### DEPTH

          public static final Name DEPTH

    - #### ID

          public static final Name ID

    - #### LOCALNAME

          public static final Name LOCALNAME

    - #### REPOSITORY

          public static final Name REPOSITORY

      The name of the node which is used for running 1-time operations

    - #### FEDERATION

          public static final Name FEDERATION

      Federation related items

    - #### PROJECTION

          public static final Name PROJECTION

    - #### EXTERNAL_NODE_KEY

          public static final Name EXTERNAL_NODE_KEY

    - #### PROJECTED_NODE_KEY

          public static final Name PROJECTED_NODE_KEY

    - #### PROJECTION_ALIAS

          public static final Name PROJECTION_ALIAS

    - #### INDEXES

          public static final Name INDEXES

      Index-related items

    - #### INDEX

          public static final Name INDEX

    - #### INDEX_COLUMN

          public static final Name INDEX_COLUMN

    - #### INDEX_PROVIDER

          public static final Name INDEX_PROVIDER

    - #### KIND

          public static final Name KIND

    - #### NODE_TYPE_NAME

          public static final Name NODE_TYPE_NAME

    - #### PROPERTY_NAME

          public static final Name PROPERTY_NAME

    - #### COLUMN_TYPE_NAME

          public static final Name COLUMN_TYPE_NAME

    - #### WORKSPACES

          public static final Name WORKSPACES

    - #### SYNCHRONOUS

          public static final Name SYNCHRONOUS

    - #### ACCESS_CONTROLLABLE

          public static final Name ACCESS_CONTROLLABLE

      ACL related

    - #### ACCESS_CONTROLLABLE_STRING

          public static final String ACCESS_CONTROLLABLE_STRING

    - #### ACCESS_LIST_NODE_TYPE

          public static final Name ACCESS_LIST_NODE_TYPE

    - #### ACCESS_LIST_NODE_TYPE_STRING

          public static final String ACCESS_LIST_NODE_TYPE_STRING

    - #### ACCESS_LIST_NODE_NAME

          public static final Name ACCESS_LIST_NODE_NAME

    - #### PERMISSION_PRINCIPAL_NAME

          public static final Name PERMISSION_PRINCIPAL_NAME

    - #### PERMISSION_PRIVILEGES_NAME

          public static final Name PERMISSION_PRIVILEGES_NAME

    - #### PERMISSION

          public static final Name PERMISSION

    - #### ACL_COUNT

          public static final Name ACL_COUNT

    - #### LOCKED_KEY

          @Deprecated
          public static final Name LOCKED_KEY

      Deprecated.
      Deprecated names because of originally invalid node types in modeshape_builtins.cnd. DO NOT USE outside of upgrade functions & tests.

    - #### SESSION_SCOPE

          @Deprecated
          public static final Name SESSION_SCOPE

      Deprecated.

    - #### IS_DEEP

          @Deprecated
          public static final Name IS_DEEP

      Deprecated.

  - ### Constructor Detail

    - #### ModeShapeLexicon

          public ModeShapeLexicon()

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.